import org.jetbrains.kotlin.gradle.dsl.KotlinVersion
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.configureAllCompilersOptions
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineAllMultiplatformTargets
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineXomrkGiteaMavenRepo
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.plugin.xomrk
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.setCompatibilityWithKotlin
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.warningsAsErrors

buildscript {
	repositories {
		mavenCentral()
		maven("https://maven.landgrafhomyak.ru/")
	}

	dependencies {
		classpath("ru.landgrafhomyak.kotlin:kotlin-mpp-gradle-build:v0.2k2.0.20")
	}
}

group = "ru.landgrafhomyak.utility"
version = "1.1"

repositories {
	mavenCentral()
	maven("https://maven.landgrafhomyak.ru/")
}

xomrk {
	kotlin {
		warningsAsErrors()
		setCompatibilityWithKotlin(KotlinVersion.KOTLIN_1_7)
		configureAllCompilersOptions {
			freeCompilerArgs.addAll(
				"-Xno-call-assertions",
				"-Xno-param-assertions",
				"-Xno-receiver-assertions"
			)
		}

		jvmToolchain(8)
		defineAllMultiplatformTargets()


		sourceSets {
			commonMain {
				dependencies {
				}
			}
			commonTest {
				dependencies {
					implementation(kotlin("test"))
				}
			}
		}
	}

	publishing {
		repositories {
			defineXomrkGiteaMavenRepo()
		}
	}
}